org.springframework.batch.core.jsr.configuration.xml

## Class BatchletParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.springframework.batch.core.jsr.configuration.xml.BatchletParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser

      public class BatchletParser
      extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

  Parser for the <batchlet /> tag defined in JSR-352. The current state of this parser parses a batchlet element into a `Tasklet` (the ref attribute is expected to point to an implementation of Tasklet).
  Since:
    3.0
  Author:
    Michael Minella, Chris Schaefer

- - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchletParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parseBatchlet(org.w3c.dom.Element batchletElement, org.springframework.beans.factory.support.AbstractBeanDefinition bd, org.springframework.beans.factory.xml.ParserContext parserContext, java.lang.String stepName)`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

      `doParse, doParse, getBeanClass, getBeanClassName, getParentName, parseInternal`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchletParser

          public BatchletParser()

  - ### Method Detail

    - #### parseBatchlet

          public void parseBatchlet(org.w3c.dom.Element batchletElement,
                                    org.springframework.beans.factory.support.AbstractBeanDefinition bd,
                                    org.springframework.beans.factory.xml.ParserContext parserContext,
                                    java.lang.String stepName)